Package org.apache.any23.writer

## Class RDFWriterTripleHandler

- java.lang.Object
- - org.apache.any23.writer.TripleWriterHandler
  - - org.apache.any23.writer.RDFWriterTripleHandler

- All Implemented Interfaces:
    `AutoCloseable`, `FormatWriter`, `TripleHandler`, `TripleWriter`
  Direct Known Subclasses:
    `JSONLDWriter`, `NQuadsWriter`, `NTriplesWriter`, `RDFXMLWriter`, `TriXWriter`, `TurtleWriter`

      public abstract class RDFWriterTripleHandler
      extends TripleWriterHandler
      implements FormatWriter

  A `TripleHandler` that writes triples to a Sesame `RDFWriter`, eg for serialization using one of Sesame's writers.
  Author:
    Richard Cyganiak (richard@cyganiak.de), Michele Mostarda (mostarda@fbk.eu), Hans Brende (hansbrende@apache.org)

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Will be called last and exactly once.
    `void` | `closeContext​(ExtractionContext context)` | Writers may override this method to handle a "closeContext" extraction event.
    `void` | `endDocument​(org.eclipse.rdf4j.model.IRI documentIRI)` | Writers may override this method to handle an "endDocument" extraction event.
    `boolean` | `isAnnotated()` | If `true` then the produced RDF is annotated with the extractors used to generate the specific statements.
    `void` | `openContext​(ExtractionContext context)` | Writers may override this method to handle an "openContext" extraction event.
    `void` | `setAnnotated​(boolean f)` | Sets the annotation flag.
    `void` | `startDocument​(org.eclipse.rdf4j.model.IRI documentIRI)` | Writers may override this method to handle a "startDocument" extraction event.
    `void` | `writeNamespace​(String prefix, String uri)` | Writes a prefix-namespace mapping.
    `void` | `writeTriple​(org.eclipse.rdf4j.model.Resource s, org.eclipse.rdf4j.model.IRI p, org.eclipse.rdf4j.model.Value o, org.eclipse.rdf4j.model.Resource g)` | Writes a triple and, optionally, a graph resource name.

    - ### Methods inherited from class org.apache.any23.writer.TripleWriterHandler

      `receiveNamespace, receiveTriple, setContentLength`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.any23.writer.TripleHandler

      `receiveNamespace, receiveTriple, setContentLength`

- - ### Method Detail

    - #### isAnnotated

          public boolean isAnnotated()

      If `true` then the produced RDF is annotated with the extractors used to generate the specific statements.
      Specified by:
        `isAnnotated` in interface `FormatWriter`
      Returns:
        the annotation flag value.

    - #### setAnnotated

          public void setAnnotated​(boolean f)

      Sets the annotation flag.
      Specified by:
        `setAnnotated` in interface `FormatWriter`
      Parameters:
        `f` - If `true` then the produced RDF is annotated with the extractors used to generate the specific statements.

    - #### startDocument

          public void startDocument​(org.eclipse.rdf4j.model.IRI documentIRI)
                             throws TripleHandlerException

      Description copied from class: `TripleWriterHandler`
      Writers may override this method to handle a "startDocument" extraction event. The default implementation does nothing.
      Specified by:
        `startDocument` in interface `TripleHandler`
      Overrides:
        `startDocument` in class `TripleWriterHandler`
      Parameters:
        `documentIRI` - the name of the document that was started
      Throws:
        `TripleHandlerException` - if an error occurred while responding to a "startDocument" extraction event.

    - #### openContext

          public void openContext​(ExtractionContext context)
                           throws TripleHandlerException

      Description copied from class: `TripleWriterHandler`
      Writers may override this method to handle an "openContext" extraction event. The default implementation does nothing.
      Specified by:
        `openContext` in interface `TripleHandler`
      Overrides:
        `openContext` in class `TripleWriterHandler`
      Parameters:
        `context` - the context that was opened
      Throws:
        `TripleHandlerException` - if an error occurred while responding to a "startDocument" extraction event.

    - #### writeTriple

          public void writeTriple​(org.eclipse.rdf4j.model.Resource s,
                                  org.eclipse.rdf4j.model.IRI p,
                                  org.eclipse.rdf4j.model.Value o,
                                  org.eclipse.rdf4j.model.Resource g)
                           throws TripleHandlerException

      Description copied from interface: `TripleWriter`
      Writes a triple and, optionally, a graph resource name.
      Specified by:
        `writeTriple` in interface `TripleWriter`
      Parameters:
        `s` - the subject to write
        `p` - the predicate to write
        `o` - the object to write
        `g` - the graph name to write, or null
      Throws:
        `TripleHandlerException` - if there is an error writing the triple

    - #### writeNamespace

          public void writeNamespace​(String prefix,
                                     String uri)
                              throws TripleHandlerException

      Description copied from interface: `TripleWriter`
      Writes a prefix-namespace mapping.
      NOTE: this method should be called before writing out any triples. Calling this method after writing out a triple may result in the prefix-namespace mapping being ignored.
      Specified by:
        `writeNamespace` in interface `TripleWriter`
      Parameters:
        `prefix` - the namespace prefix
        `uri` - the namespace uri
      Throws:
        `TripleHandlerException` - if there was an error writing out the prefix-namespace mapping

    - #### closeContext

          public void closeContext​(ExtractionContext context)
                            throws TripleHandlerException

      Description copied from class: `TripleWriterHandler`
      Writers may override this method to handle a "closeContext" extraction event. The default implementation does nothing.
      Specified by:
        `closeContext` in interface `TripleHandler`
      Overrides:
        `closeContext` in class `TripleWriterHandler`
      Parameters:
        `context` - the context to be closed.
      Throws:
        `TripleHandlerException` - if an error occurred while responding to a "closeContext" extraction event.

    - #### close

          public void close()
                     throws TripleHandlerException

      Description copied from interface: `TripleHandler`
      Will be called last and exactly once.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `TripleHandler`
      Specified by:
        `close` in interface `TripleWriter`
      Throws:
        `TripleHandlerException` - if there is an error closing the `TripleHandler` implementation.

    - #### endDocument

          public void endDocument​(org.eclipse.rdf4j.model.IRI documentIRI)
                           throws TripleHandlerException

      Description copied from class: `TripleWriterHandler`
      Writers may override this method to handle an "endDocument" extraction event. The default implementation does nothing.
      Specified by:
        `endDocument` in interface `TripleHandler`
      Overrides:
        `endDocument` in class `TripleWriterHandler`
      Parameters:
        `documentIRI` - the document IRI.
      Throws:
        `TripleHandlerException` - if an error occurred while responding to a "endDocument" extraction event.